#ifndef ENGLISH
#ifndef DEF_HELP_XML_H
#define DEF_HELP_XML_H
#include <libxml/parser.h>
#include <libxml/tree.h>
#include "global.h"

extern int n_tabs;

/*
	Lit une catgorie du document XML, et l'affiche.
	Fonctionne de manire rcursive pour afficher le document entier.
*/
void ReadCategoryXML(xmlNode * a_node, int tab_id, int page_id);

/*
	Charge le fichier XML filename en mmoire, et retourne un pointeur sur 
	la mmoire alloue
*/
xmlDocPtr LoadXML(const char *filename);

/*
	Libre la mmoire associ au document XML doc
*/
void FreeXML(xmlDocPtr doc);
/*
	Affiche l'aide dans la fentre
	@PARAMS:
	-tab : onglet  afficher
	-page_id : page  afficher
*/
void draw_xml_help(xmlDoc *doc, int tab_id, int page_id);

#endif //DEF_HELP_XML_H
#endif //ENGLISH
